Account
Stop one of the person's price-drop alerts
Live
DELETE
https://shopitup.ca/api/v1/price-alerts/{price_alert_id}
- Access
-
alerts:writeHow to get a token - Returns
- The alert, stopped (or as it ended, if it already had)
Path parameters
-
price_alert_idinteger Required
Response
200 The alert, stopped (or as it ended, if it already had)
-
price_alert_idinteger -
statusstring -
catalog_item_idstring -
titlestring -
target_priceMoney2 child attributes
-
amountstring RequiredDecimal string, two places
-
currencystring Required
-
-
current_priceMoney2 child attributes
-
amountstring RequiredDecimal string, two places
-
currencystring Required
-
-
notified_atstring date-timeWhen the person was emailed that the price reached their target.
-
expires_atstring date-time -
created_atstring date-time
Status codes
200
The alert, stopped (or as it ended, if it already had)
404
Not found, or not listed on this marketplace
401
Missing, invalid or expired access token
403
The token does not carry the scope this endpoint needs
429
Too many requests; retry after the number of seconds in Retry-After
503
A service the API depends on is briefly unavailable; retry after the number of seconds in Retry-After